## org.gnu.gtk.event
Class ColorButtonEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ColorButtonEvent

All Implemented Interfaces:
  java.io.Serializable

public class ColorButtonEvent
extends GtkEvent

This event is used to identify when a ColorButton receives an event

See Also:
  `ColorButtonListener`, Serialized Form

Nested Class Summary
`static class` `ColorButtonEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ColorButtonEvent(java.lang.Object source, EventType type)` Constructor for ColorButtonEvent.

Method Summary
`boolean` `isOfType(ColorButtonEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorButtonEvent

    public ColorButtonEvent(java.lang.Object source,
                            EventType type)

  Constructor for ColorButtonEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(ColorButtonEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.